com.amazonaws.services.simpleworkflow.model

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - com.amazonaws.services.simpleworkflow.model.EventType

All Implemented Interfaces:
  Serializable, Comparable<EventType>

    public enum EventType
    extends Enum<EventType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ActivityTaskCanceled`
`ActivityTaskCancelRequested`
`ActivityTaskCompleted`
`ActivityTaskFailed`
`ActivityTaskScheduled`
`ActivityTaskStarted`
`ActivityTaskTimedOut`
`CancelTimerFailed`
`CancelWorkflowExecutionFailed`
`ChildWorkflowExecutionCanceled`
`ChildWorkflowExecutionCompleted`
`ChildWorkflowExecutionFailed`
`ChildWorkflowExecutionStarted`
`ChildWorkflowExecutionTerminated`
`ChildWorkflowExecutionTimedOut`
`CompleteWorkflowExecutionFailed`
`ContinueAsNewWorkflowExecutionFailed`
`DecisionTaskCompleted`
`DecisionTaskScheduled`
`DecisionTaskStarted`
`DecisionTaskTimedOut`
`ExternalWorkflowExecutionCancelRequested`
`ExternalWorkflowExecutionSignaled`
`FailWorkflowExecutionFailed`
`LambdaFunctionCompleted`
`LambdaFunctionFailed`
`LambdaFunctionScheduled`
`LambdaFunctionStarted`
`LambdaFunctionTimedOut`
`MarkerRecorded`
`RecordMarkerFailed`
`RequestCancelActivityTaskFailed`
`RequestCancelExternalWorkflowExecutionFailed`
`RequestCancelExternalWorkflowExecutionInitiated`
`ScheduleActivityTaskFailed`
`ScheduleLambdaFunctionFailed`
`SignalExternalWorkflowExecutionFailed`
`SignalExternalWorkflowExecutionInitiated`
`StartChildWorkflowExecutionFailed`
`StartChildWorkflowExecutionInitiated`
`StartLambdaFunctionFailed`
`StartTimerFailed`
`TimerCanceled`
`TimerFired`
`TimerStarted`
`WorkflowExecutionCanceled`
`WorkflowExecutionCancelRequested`
`WorkflowExecutionCompleted`
`WorkflowExecutionContinuedAsNew`
`WorkflowExecutionFailed`
`WorkflowExecutionSignaled`
`WorkflowExecutionStarted`
`WorkflowExecutionTerminated`
`WorkflowExecutionTimedOut`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EventType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static EventType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### WorkflowExecutionStarted

    public static final EventType WorkflowExecutionStarted

#### WorkflowExecutionCancelRequested

    public static final EventType WorkflowExecutionCancelRequested

#### WorkflowExecutionCompleted

    public static final EventType WorkflowExecutionCompleted

#### CompleteWorkflowExecutionFailed

    public static final EventType CompleteWorkflowExecutionFailed

#### WorkflowExecutionFailed

    public static final EventType WorkflowExecutionFailed

#### FailWorkflowExecutionFailed

    public static final EventType FailWorkflowExecutionFailed

#### WorkflowExecutionTimedOut

    public static final EventType WorkflowExecutionTimedOut

#### WorkflowExecutionCanceled

    public static final EventType WorkflowExecutionCanceled

#### CancelWorkflowExecutionFailed

    public static final EventType CancelWorkflowExecutionFailed

#### WorkflowExecutionContinuedAsNew

    public static final EventType WorkflowExecutionContinuedAsNew

#### ContinueAsNewWorkflowExecutionFailed

    public static final EventType ContinueAsNewWorkflowExecutionFailed

#### WorkflowExecutionTerminated

    public static final EventType WorkflowExecutionTerminated

#### DecisionTaskScheduled

    public static final EventType DecisionTaskScheduled

#### DecisionTaskStarted

    public static final EventType DecisionTaskStarted

#### DecisionTaskCompleted

    public static final EventType DecisionTaskCompleted

#### DecisionTaskTimedOut

    public static final EventType DecisionTaskTimedOut

#### ActivityTaskScheduled

    public static final EventType ActivityTaskScheduled

#### ScheduleActivityTaskFailed

    public static final EventType ScheduleActivityTaskFailed

#### ActivityTaskStarted

    public static final EventType ActivityTaskStarted

#### ActivityTaskCompleted

    public static final EventType ActivityTaskCompleted

#### ActivityTaskFailed

    public static final EventType ActivityTaskFailed

#### ActivityTaskTimedOut

    public static final EventType ActivityTaskTimedOut

#### ActivityTaskCanceled

    public static final EventType ActivityTaskCanceled

#### ActivityTaskCancelRequested

    public static final EventType ActivityTaskCancelRequested

#### RequestCancelActivityTaskFailed

    public static final EventType RequestCancelActivityTaskFailed

#### WorkflowExecutionSignaled

    public static final EventType WorkflowExecutionSignaled

#### MarkerRecorded

    public static final EventType MarkerRecorded

#### RecordMarkerFailed

    public static final EventType RecordMarkerFailed

#### TimerStarted

    public static final EventType TimerStarted

#### StartTimerFailed

    public static final EventType StartTimerFailed

#### TimerFired

    public static final EventType TimerFired

#### TimerCanceled

    public static final EventType TimerCanceled

#### CancelTimerFailed

    public static final EventType CancelTimerFailed

#### StartChildWorkflowExecutionInitiated

    public static final EventType StartChildWorkflowExecutionInitiated

#### StartChildWorkflowExecutionFailed

    public static final EventType StartChildWorkflowExecutionFailed

#### ChildWorkflowExecutionStarted

    public static final EventType ChildWorkflowExecutionStarted

#### ChildWorkflowExecutionCompleted

    public static final EventType ChildWorkflowExecutionCompleted

#### ChildWorkflowExecutionFailed

    public static final EventType ChildWorkflowExecutionFailed

#### ChildWorkflowExecutionTimedOut

    public static final EventType ChildWorkflowExecutionTimedOut

#### ChildWorkflowExecutionCanceled

    public static final EventType ChildWorkflowExecutionCanceled

#### ChildWorkflowExecutionTerminated

    public static final EventType ChildWorkflowExecutionTerminated

#### SignalExternalWorkflowExecutionInitiated

    public static final EventType SignalExternalWorkflowExecutionInitiated

#### SignalExternalWorkflowExecutionFailed

    public static final EventType SignalExternalWorkflowExecutionFailed

#### ExternalWorkflowExecutionSignaled

    public static final EventType ExternalWorkflowExecutionSignaled

#### RequestCancelExternalWorkflowExecutionInitiated

    public static final EventType RequestCancelExternalWorkflowExecutionInitiated

#### RequestCancelExternalWorkflowExecutionFailed

    public static final EventType RequestCancelExternalWorkflowExecutionFailed

#### ExternalWorkflowExecutionCancelRequested

    public static final EventType ExternalWorkflowExecutionCancelRequested

#### LambdaFunctionScheduled

    public static final EventType LambdaFunctionScheduled

#### LambdaFunctionStarted

    public static final EventType LambdaFunctionStarted

#### LambdaFunctionCompleted

    public static final EventType LambdaFunctionCompleted

#### LambdaFunctionFailed

    public static final EventType LambdaFunctionFailed

#### LambdaFunctionTimedOut

    public static final EventType LambdaFunctionTimedOut

#### ScheduleLambdaFunctionFailed

    public static final EventType ScheduleLambdaFunctionFailed

#### StartLambdaFunctionFailed

    public static final EventType StartLambdaFunctionFailed

### Method Detail

#### values

    public static EventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EventType c : EventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EventType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<EventType>`

#### fromValue

    public static EventType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  EventType corresponding to the value